init:
    
    $ mods["Znakomstvo_ES_v2"]=u"Знакомство с Бесконечным летом"
    
    $ ras = Character(u"Рассказчик", color="#00FF0D")
    
label Znakomstvo_ES_v2:
    $ new_chapter(0, u"Знакомство с Бесконечным летом\nПролог")
    $ night_time()
    show anim prolog_1
    play music music_list['a_promise_from_distant_days_v2']
    $ renpy.pause (2)
    ras "Здравствуйте! Данный мод не такой как все другие - этот мод про то что мы знаем и не знаем о Визуальной новелле «Бесконечное лето» и не только о ней."
    $ renpy.pause (2)
    ras "И так, начнем с самого начала..."
    $ renpy.pause (1)
    ras "Бесконечное лето (Everlasting Summer) — это Компьютерная игра в жанре «Визуальная новелла», разработка которой началась посетителями сайта iichan в 2008 году. {w}Релизная версия 1.1 вышла 21 декабря 2013 года."
    $ renpy.pause (2)
    stop music fadeout 1
    "А теперь мы перейдём к квартире Семёна."

label kvartira_semeona:
    scene bg semen_room with dissolve
    play music music_list["eternal_longing"]
    $ renpy.pause (2)
    ras "Это Квартира протагониста «Бесконечного Лета» Семёна, внутри которой он проводит большую часть своего времени, сидя за монитором последние несколько лет."
    show bg semen_room_window with dissolve
    ras "Этаж неизвестен но, судя по виду из окна, квартира находится достаточно высоко." 
    scene bg semen_room with dissolve
    ras "Жилище главного героя —  это однокомнатная квартира с кухней и ванной. {w}Внутреннее убранство комнаты представляет собой полный кавардак — хаотично разбросанные по полу и шкафам вещи, в некоторых местах — отклеившиеся обои."
    ras "Перед большим окном с занавесками находится стол, на котором, среди всего прочего (телефон, телевизор, настольная лампа и т. д.) находится компьютер Семёна, сидя за которым он и коротает свои серые дни."
    stop music fadeout 1
    $ renpy.pause (1)
     
    menu:
        "Хотите узнать факты связанные с Семёном?"
        "Да":
            jump fakts_kvartira_semeona
        "Нет":
            jump bus_stop

label fakts_kvartira_semeona:
    ras "Факт 1: Квартира Семёна является первой локацией в новелле и главным её отправным пунктом — именно отсюда Семён направляется на остановку 410 маршрута, с целью попасть на встречу с одногруппниками."
    ras "Факт 2: Уже находясь в лагере «Совёнок», Семён сравнивает убранство своей квартиры с другими помещениями, в которых царит кавардак (домик Алисы и Ульяны)."
    ras "Факт 3: Семён просыпается здесь после смены в лагере в большинстве из концовок (лишь хорошая концовка Лены, плохая концовка Семёна, концовка Мику и «личная» концовка Юли являются исключением)."
    $ renpy.pause (1)
    show cg epilogue_un_bad
    ras "Факт 4: В плохой концовке Лены-рута Семён совершает суицид в ванной комнате."
    $ renpy.pause (2)

label bus_stop:
    scene bg semen_room with dissolve
    "А теперь мы отправимся к Автобусной Остановке."
    $ renpy.pause (2)
    $ prolog_time()
    scene bg bus_stop
    play sound sfx_gusty_wind loop
    play sound sfx_street_traffic_outside loop
    $ renpy.pause (1)
    ras "Ну вот, мы и на Автобусной остановке."
    $ renpy.pause (2)
    ras "Эта Автобусная остановка 410 маршрута находится в родном городе Семёна. Остановка находится недалеко от его дома, главный герой ходит сюда пешком."
    ras "Здесь Семён садится на автобус марки ЛиАЗ с целью попасть на встречу одногруппников."
    $ renpy.pause (2)
    ras "На баннере возле остановки размещено сразу две отсылки на имиджборд Ычан - значок «Вакабы» (движка имиджборда) и популярный там же персонаж «Сырно»."
    $ renpy.pause (2)
    
    menu:
        "Хотите узнать факты связанные с Автобусной остановкой?"
        "Да":
            jump fakts_bus_stop
        "Нет":
            jump road
    
label fakts_bus_stop:
    ras "Факт 1: В концовках Алисы, Семён приходит сюда и садится на 410-й, чтобы попасть в клуб на первый крупный концерт своей группы."
    ras "Факт 2: Семён приходит сюда и в концовках Слави, при этом в хорошей концовке он её здесь встречает."
    ras "Факт 3: В альтернативной положительной концовке Алисы Семён также её встречает на остановке."
    
label road:
    stop sound
    "Не будем мёрзнуть, а отправимся уже на слеющую локацию."
    $ renpy.pause (2)
    $ day_time()
    $ new_chapter(0, u"Знакомство с Бесконечным летом\n«Совёнок»")
    show splashscreen_day 
    play music music_list["everlasting_summer"] fadein 2
    $ renpy.pause (2)
    ras "Ну, вот мы и в Совёнке!"
    $ renpy.pause (2)
    ras "Дорога, идущая от ворот пионерлагеря «Совёнок», — одна из самых обширных локаций новеллы. На ней, прямо перед воротами лагеря, находится стоянка. Дорога представляет собой широкую асфальтированную полосу, идущую в обе стороны от ворот (что противоречит планировке, указанной на карте лагеря)."
    ras "По обе стороны от дороги растёт трава и тянутся столбы линий электропередач, также иногда встречаются деревья. По словам Пионера дорога, как и лес вокруг лагеря, является бесконечной."
    
    menu:
        "Хотите узнать факты по рутам?"
        "Да":
            jump fakts_road
        "Нет":
            jump parking
            
label fakts_road:
    ras "Факт 1: В Алиса-руте Семён и Алиса, проснувшись в опустевшем лагере, принимают решение пешком дойти по дороге до райцентра (Алиса говорит, что она знает дорогу и дойти туда пешком вполне возможно)."
    ras "В итоге они, не дойдя до конца пути, делают вечером привал и разводят костёр, у которого разбираются в своих взаимоотношениях. После этого приезжает автобус ЛиАЗ, в который они садятся, чтобы доехать до райцентра."
    $ renpy.pause (1)
    ras "Факт 2: В Юля-руте, после появления на горизонте лагеря современного мегаполиса, обитатели лагеря снаряжают туда экспедицию из Семёна и девочек, они долго идут по дороге к городу. После встречи с Юлей, девочки ссорятся между собой и возращаются в лагерь, а Семён продолжает путь один."
    ras "Под вечер к нему присоединяется Юля а, ближе к ночи, Семён получает сигнал из лагеря по рации, и перед ним встаёт выбор — вернуться в лагерь или пойти вперёд к городу. От этого выбора зависит концовка рута."
    $ renpy.pause (1)
    ras "Факт 3: В Мику-руте главный герой и его спутники решают сбежать из лагеря по этой дороге, но у них этого не выходит — дорога приводит их обратно к воротам «Совёнка»."
    
label parking:
    scene bg ext_bus
    $ renpy.pause (2)
    ras "Стоянка — место, в котором просыпается, заснувший в автобусе ЛиАЗ 410-го маршрута одним зимним вечером, Семён. {w}Придя в себя, главный герой обнаруживает себя в Икарусе, стоящем на автобусной остановке летом возле пионерского лагеря «Совёнок». Начав поиск разгадок здесь, он ещё не раз вернётся сюда."
    ras "Попав в «Совёнок» и выйдя из автобуса, Семён после первого шока решает бежать по дороге прочь от злосчастного автобуса, но после отдышки быстро сдаётся, откидывает эту затею и возвращается назад."
    $ renpy.pause (1)
    
    menu:
        "Хотите узнать факты связанные со Стоянкой?"
        "Да":
            jump fakts_parking
        "Нет":
            jump sovenok
    
label fakts_parking:
    ras "Факт 1: Семён познакомился со Славей у входа в лагерь."
    ras "Факт 2: Семён ыышел сюда после того, как заблудился в результате инцидента с Ульяной и котлетой."
    ras "Факт 3: Семён столкнулся лбами с Мику в воротах (поиски Шурика)."
    ras "Факт 4: Семён просиживал здесь дискотеку в одиночестве."
    ras "Факт 5: Семён многочисленно раз пытался сбежать из лагеря: Алиса-рут, Мику-рут, ЮВАО-рут."
    ras "Факт 6: Большинство рутов (кроме Алиса-рута, бэд-Энда Лены, Мику-рута, ЮВАО-рута, бэд-Энда Семёна) заканчивается здесь на том, что пионеры загружаются в автобус и уезжают, выслушав прощальную речь Ольги Дмитриевны."
    
label sovenok:
    scene bg ext_camp_entrance_day
    $ renpy.pause (2)
    ras "Совёнок — пионерский лагерь, в котором происходит действие визуальной новеллы. Прототипом «Совёнка» является СОЛ «Волга»."
    ras "Лагерь расположен на берегу неизвестной реки. По догадкам главного героя он находится где-то на юге Советского Союза."
    $ renpy.pause (1)
    ras "В Хорошей концовке Лены его догадки подтверждаются. На время действия указывают следующие факты."
    ras "Факт первый: Из Саманта-мода. {w}Саманта приезжает второй раз в Советский Союз в 1985, что вполне подходит под игровые рамки. {w}Это подтверждает тот факт, что через четыре с половиной года в моде говорится о том, что пала Берлинская Стена. Это было осенью 1989."
    $ renpy.pause (1)
    ras "Факт второй: В моде 7 дней лета, где говорится, что Семён попадает в Совёнок образца 1989 года."
    stop music fadeout 2

label obschie_kruzhki:
    scene bg ext_clubs_day
    play sound ambience_clubs_inside_day
    ras "Общие кружки — здесь находится мастерская местных электротехников и электронщиков, склад со всяческой техникой вроде колонок, телевизоров, видиков, а так же большим разнообразием строй-материалов и химии."
    $ renpy.pause (1)
    ras "Постоянное место обитания Шурика и Электроника."
    stop sound

label domik_vozhatoy:
    scene bg ext_house_of_mt_day
    play music music_list["everlasting_summer"] fadein 2
    ras "Домик вожатой — здание, в котором живёт Ольга Дмитриевна — вожатая лагеря. Сюда же, ссылаясь на то, что «мест больше нет», она заселяет новоприбывшего Семёна. {w}На карте лагеря имеет номер 17."
    ras "В конце каждого «обычного» дня главный герой возвращается сюда и ложится спать: когда-то «вовремя» иногда, припозднившись бывает, что приходит очень поздно или не приходит вовсе."
    ras "Также он многочисленно в течение смены посещает это место с целью что-то найти, отдохнуть или сбежать от «общественной работы»."
    $ renpy.pause (2)
    
    menu:
        "Хотите узнать факты связаные с Домиком вожатой?"
        "Да":
            jump fakts_domik_vozhatoy
        "Нет":
            jump area

label fakts_domik_vozhatoy:
    ras "Факт 1: Семён однажды, вернувшись в домик, открыв дверь, обнаруживает переодевающуюся Ольгу Дмитриевну."
    $ renpy.pause (1)
    ras "Факт 2: В Семён-руте каждая из девочек приходит в домик попрощаться с Семёном, а сам главный герой беседует здесь с неким пионером."
    $ renpy.pause (2)
    
label area:
    "Теперь перейдем дальше..."
    $ renpy.pause (2)
    scene bg ext_square_day
    "Ну вот, мы и на Площади! {w}Теперь продолжим..."
    $ renpy.pause (1)
    ras "Площадь — пожалуй, это самое популярное место в лагере. Каждое утро здесь проходят линейки."
    ras "Большинство мероприятий также проводится именно здесь. Посреди площади стоит огромный памятник Генде."
    ras "По бокам площади стоят лавочки. Это место считается географическим центром лагеря."
    $ renpy.pause (2)
    
    menu:
        "Хотите узнать факты связанные с Площадью?"
        "Да":
            jump fakts_area
        "Нет":
            jump stolovaya
            
label fakts_area:
    ras "Факт 1: Алиса с Ульной пытались подорвать основание памятника, стоящего в центре площади."
    $ renpy.pause (1)
    ras "Факт 2: Во время уборки здесь подметают пионеры, в частности — Славя."
    $ renpy.pause (1)
    show cg d3_disco
    ras "Факт 3: Здесь проводится дискотека (танцы)."
    $ renpy.pause (1)
    show cg d2_lineup
    ras "Факт 4: Здесь проводятся линейки (построения пионеров)."
    $ renpy.pause (1)
    scene bg ext_square_day
    ras "Факт 5: Установленный на площади памятник — отсылка к персонажу «Евангелиона», Гендо Икари."
            
label stolovaya:
    "А теперь мы перейдем к Столовой."
    $ renpy.pause (2)
    scene bg ext_dining_hall_away_day
    $ renpy.pause (1)
    ras "Столовая — место, в котором пионеры совершают приём пищи: завтракают, обедают и ужинают. Местные голодающие по обеденному звонку сразу же летят сюда, затем толпятся у двери, занимают почти все места и оживлённо едят."
    ras "Является ареной общения, азартных игр, приколов и драк, а также пристанищем тех, кому взбрело в голову поесть ночью."
    ras "Главный герой, как и полагается настоящему пионеру, проводит здесь много времени, и не только употребляя еду, но и узнавая новости."
    $ renpy.pause (1)
    
    menu:
        "Хотите узнать факты связаные со Столовой?"
        "Да":
            jump fakts_stolovaya
        "Нет":
            jump music_club
    
label fakts_stolovaya:
    scene bg int_dining_hall_people_day
    ras "Факт 1: Семён участвует в устроенном Электроником карточном турнире с выдуманными правилами."
    show cg d1_food_normal
    $ renpy.pause (2)
    show cg d1_food_skolop
    ras "Факт 2: Семён пускается в погоню за Ульяной после того, как она подложила ему в еду многоножку. {w}Затем, поздним вечером, выбравшись из леса, возвращается со Славей сюда, она помогает ему поесть."
    $ renpy.pause (1)
    scene bg ext_dining_hall_away_day
    ras "Факт 3: Семён снова ссорится с Ульяной, после чего они вдвоём, сражаясь, громят столовую."
    $ renpy.pause (1)
    ras "Факт 4: Семён может встретить тут опоздавшую на обед или пришедшую слишком рано Мику."
    $ renpy.pause (1)
    show cg d5_cake
    ras "Факт 5: Стараниями Семёна, Ольга Дмитриевна угощает пионеров тортом в честь спасения Шурика, который громит Ульяна (торт)."
    
label music_club:
    stop sound
    scene bg ext_dining_hall_away_day
    $ renpy.pause (1)
    "Теперь перейдем к Музыкальному кружку."
    $ renpy.pause (2)
    scene bg ext_musclub_day
    play music music_list['miku_song_flute']
    "Ну вот, мы и на месте!"
    ras "Музыкальный кружок — здание, в котором находятся различные музыкальные инструменты и литература по музыке: акустические и электрогитары, барабаны, фортепьяно; на доске нарисованы ноты."
    ras "Здесь постоянно находится девочка-мультиинструменталист Мику, которая является членом этого кружка, также сюда заглядывают и другие пионеры."
    $ renpy.pause (2)
    ras "Алиса посещает кружок, Мику тем самым настраивает ей гитару."

    menu:
        "Хотите узнать факты связаные с Музыкальным кружком?"
        "Да":
            jump fakts_music_club
        "Нет":
            jump coming_soon
            
label fakts_music_club:
   ras "Факт 1: Семён первый раз посещает это место для того, чтобы подписать обходной лист."
   ras "Факт 2: Семён также приходит сюда в руте Ульяны, чтобы найти Алису, которая могла разболтать Ольге Дмитриевне, что Ульяна приходила к двери его домика ночью."
   ras "Факт 3: Семён приходит сюда чтобы помочь Мику с её песней."

label coming_soon:
    stop music fadeout 2
    "Продолжение следует"
    
return